Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ssl
Class SslServerSocketFactory

    java.lang.Object
      org.mule.transport.tcp.TcpServerSocketFactory
          org.mule.transport.ssl.SslServerSocketFactory

All Implemented Interfaces:
  SimpleServerSocketFactory

    public class SslServerSocketFactory

extends TcpServerSocketFactory

Constructor Summary
`SslServerSocketFactory(TlsConfiguration tls)`

Method Summary
`ServerSocket` | `createServerSocket(InetAddress address, int port, int backlog, Boolean reuse)`
`ServerSocket` | `createServerSocket(int port, int backlog, Boolean reuse)`

Methods inherited from class org.mule.transport.tcp.TcpServerSocketFactory
`configure, createServerSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SslServerSocketFactory

    public SslServerSocketFactory(TlsConfiguration tls)

Method Detail

### createServerSocket

    public ServerSocket createServerSocket(InetAddress address,
                                           int port,
                                           int backlog,
                                           Boolean reuse)
                                    throws IOException

  Specified by:
    `createServerSocket` in interface `SimpleServerSocketFactory`
  Overrides:
    `createServerSocket` in class `TcpServerSocketFactory`
  Throws:
    `IOException`

### createServerSocket

    public ServerSocket createServerSocket(int port,
                                           int backlog,
                                           Boolean reuse)
                                    throws IOException

  Specified by:
    `createServerSocket` in interface `SimpleServerSocketFactory`
  Overrides:
    `createServerSocket` in class `TcpServerSocketFactory`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.